Get Software Info For Host

Get Software Info For Host

Get details about the current software specification applied to the host

Request
URI
GET
https://{api_host}/v1/hosts/{id}/software
COPY
Path Parameters
string
id
Required

Host ID


Responses
200

Ok

Returns SoftwareInfo of type(s) application/json
{
    "baseImage": {
        "version": "7.0.0-0.0.30340198",
        "details": {
            "displayName": "7.0.0-0.0.30340198",
            "displayVersion": "string",
            "releaseDate": "string",
            "releaseTimestamp": "string",
            "quickPatchCompatibleVersions": [
                {
                    "version": "8.0.3-0.0.23174786",
                    "displayVersion": "8.0 Update 3 - 23174786"
                }
            ]
        }
    },
    "addOn": {
        "version": "2.0-1",
        "name": "DELL-sample-Addon",
        "vendor": "Dell",
        "displayName": "string",
        "displayVersion": "string"
    },
    "components": {
        "components": {
            "version": "1.3.2.8-1OEM.650.0.0.4598673",
            "details": {
                "vendor": "intel",
                "displayName": "string",
                "displayVersion": "string"
            }
        }
    },
    "removedComponents": {
        "removedComponents": {
            "version": "1.3.2.8-1OEM.650.0.0.4598673",
            "details": {
                "vendor": "intel",
                "displayName": "string",
                "displayVersion": "string"
            }
        }
    },
    "hardwareSupport": {
        "packages": {
            "packages": {
                "pkg": "string",
                "version": "string"
            }
        }
    },
    "alternativeImages": {
        "alternativeImages": {
            "baseImage": {
                "version": "7.0.0-0.0.30340198",
                "details": {
                    "displayName": "7.0.0-0.0.30340198",
                    "displayVersion": "string",
                    "releaseDate": "string",
                    "releaseTimestamp": "string",
                    "quickPatchCompatibleVersions": [
                        {
                            "version": "8.0.3-0.0.23174786",
                            "displayVersion": "8.0 Update 3 - 23174786"
                        }
                    ]
                }
            },
            "addOn": {
                "version": "2.0-1",
                "name": "DELL-sample-Addon",
                "vendor": "Dell",
                "displayName": "string",
                "displayVersion": "string"
            },
            "components": {
                "components": {
                    "version": "1.3.2.8-1OEM.650.0.0.4598673",
                    "details": {
                        "vendor": "intel",
                        "displayName": "string",
                        "displayVersion": "string"
                    }
                }
            },
            "removedComponents": {
                "removedComponents": {
                    "version": "1.3.2.8-1OEM.650.0.0.4598673",
                    "details": {
                        "vendor": "intel",
                        "displayName": "string",
                        "displayVersion": "string"
                    }
                }
            },
            "hardwareSupport": {
                "packages": {
                    "packages": {
                        "pkg": "string",
                        "version": "string"
                    }
                }
            },
            "selectionCriteria": {
                "selectionType": "One among: HOST_UUID, HOST_HARDWARE_SPEC",
                "hostBiosIds": [
                    "string"
                ],
                "hostHardware": {
                    "vendor": "string",
                    "models": [
                        "string"
                    ],
                    "families": [
                        "string"
                    ],
                    "oemStrings": [
                        "string"
                    ]
                }
            },
            "displayName": "string"
        }
    }
}
object
baseImage
Required

BaseImage contains bits to install/update the appropriate Cloud Foundation software components in your management domain or workload domain.

object
addOn
Optional

AddOn contains bits to install/update the appropriate Cloud Foundation software components in your management domain or workload domain.

object
components
Optional

Personality components

object
removedComponents
Optional

Personality removed components

object
hardwareSupport
Optional

Hardware support contains base os, components, hardware support, addOn metadata to install/update the appropriate Cloud Foundation software components in your management domain or workload domain.

object
alternativeImages
Optional

Personality alternative images apart from the default image


400

Bad Request

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


500

Internal Server Error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/hosts/{id}/software